%define prefix /usr
%define name vibafu
%define longname Video Backup Fusion
%define version 1.0
%define package ba36cb1e6aec
%define release %mkrel 1
%define url http://vibafu.codeplex.com/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Video
URL:		%{url}
Source:		%{name}_%{package}.tar.xz
Summary:	Video Backup Fusion - The complete and simply to use backup solution for video portals
Summary(de):	Video Backup Fusion - Die komplette und einfache Backup-Lösung für Video-Portale
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libqt4-devel >= 4.7.1
Obsoletes:	%name < %version
Requires: 	glibc >= 2.12.1
Requires: 	libstdc++6 >= 4.5.2

%description
- List uploads, playlists and videos from a playlist of a user with many infos
- Search for videos of a user or general search (videos of all users)
- View videos directly with VLC in selected quality, up to full HD 1080p (if available)
- Download videos in different qualities, up to full HD 1080p (if available)
- Download all videos from a playlist
- Supports batch download
- Supported video portals: YouTube

#german
%description -l de
- Listet Uploads, Playlists und Videos aus einer Playliste von einem Benutzer mit vielen Infos
- Suche nach Videos eines Benutzers oder einer allgemeinen Suche (Videos von allen Benutzern)
- Sehen Sie Videos direkt mit VLC in ausgesuchter Qualität, bis zu 1080p Full HD (wenn verfügbar)
- Laden Sie Videos in verschiedenen Qualitäten bis zu 1080p Full HD (wenn verfügbar)
- Laden Sie alle Videos aus einer Playliste
- Unterstützt Batch-Download
- Unterstützte Video-Portale: YouTube


%prep

%setup -q -n %{name}_%{package}

%build

qmake

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}_%{package}/bin/ViBaFu %{buildroot}/%{_bindir}/ViBaFu

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=ViBaFu
Name[de]=ViBaFu
Comment=Video Backup Fusion - The complete and simply to use backup solution for video portals
Comment[de]=Video Backup Fusion - Die komplette und einfache Backup-Lösung für Video-Portale
Encoding=UTF-8
Icon=appicon.png
Exec=ViBaFu
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
X-Desktop-File-Install-Version=1.0
EOF

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 $RPM_BUILD_DIR/%{name}_%{package}/resources/linux/appicon.png %{buildroot}%{_iconsdir}/appicon.png

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/ViBaFu
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/appicon.png
%doc README COPYING AUTHORS ChangeLog

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}_%{package}

%changelog
* Fri Mar 25 2011 leiche <meisssw01 at aol.com> 1.0-1leiche2011
- first build for PCLinuxOS
